Skip to content

updateObservationCustomer

Request

Path
observationIdinteger, (int32)required
customerIdinteger, (int32)required
Bodyapplication/jsonrequired
idinteger, (int32)

Identifier of the object to modify or delete

Default:""
titlestring, [ 0 .. 100 ] charactersrequired

Title of the observation

Default:""
descriptionstring, non-emptyrequired

Description of the observation

Default:""
showAlertbooleanrequired

Show alert popup when selecting customer in a new sales document

Default:false
Example:false
dragToDocumentbooleanrequired

Drag observation description to the document notes field

Default:false
Example:false
dragDocumentTypesArray of strings

Document types for drag-to-document (required when dragToDocument is true)

Default:""
Example:
[ "QUOTE", "ORDER" ]
PUT
/api/v1/customer/{customerId}/observation/{observationId}
curl -i -X PUT \
  'https://api.prana.software/api/v1/customer/{customerId}/observation/{observationId}' \
  -H 'Content-Type: application/json'

Responses

OK

Bodyapplication/json
idinteger, (int32)required

Unique identifier of the object

Default:""
titlestring, non-emptyrequired
descriptionstring, non-emptyrequired
modifiedOnstring, (date-time)required
showAlertboolean

Show alert popup when selecting customer in a new sales document

Default:false
Example:false
dragToDocumentboolean

Drag observation description to the document notes field

Default:false
Example:false
dragDocumentTypesArray of strings

Document types configured for drag-to-document

Default:""
Response
// No response example